// Y-tool
// an alignment aid to hold the y-leadscrew while
// I clamp its nut in place

$fa = 1;
$fs = 0.4;

wide   = 98;
drop   = 7.6;
thread = 14;

deep   = 15;
base   = 12;
lip    = 15;
raise  = 10;
core   = thread+10;

difference(){
    union(){
        cube([wide+lip*2, deep, base]);
        cube([lip, deep, base+raise]);
        translate([wide+lip, 0, 0])
            cube([lip, deep, base+raise]);
        translate([lip+wide/2-core/2, 0, base])
            cube([core, deep, drop]);
//      translate([wide/2+lip, 0, base+drop])
//          rotate([-90, 0, 0])
//              cylinder(d=core, h=deep);
    }
    translate([wide/2+lip, -0.01, base+drop])
        rotate([-90,0,0])
            cylinder(d=thread, h=deep+0.02);
}
